com.verisign.epp.interfaces

## Class EPPIdnTable

- java.lang.Object
- - com.verisign.epp.interfaces.EPPIdnTable

-     public class EPPIdnTable
      extends java.lang.Object

  `EPPIdnTable` is the primary client interface class used for the IDN Table EPP mapping. An instance of `EPPIdnTable` is created with an initialized `EPPSession`, and can be used for more than one request within a single thread. A set of setter methods are provided to set the attributes before a call to one of the send action methods. The responses returned from the send action methods are either instances of `EPPResponse` or instances of response classes in the `com.verisign.epp.codec.idntable` package.
  See Also:
    `EPPIdnTableCheckResp`, `EPPIdnTableInfoResp`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPIdnTable(EPPSession aSession)` Constructs an `EPPIdnTable` given an initialized EPP session.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDomain(java.lang.String aDomain, EPPIdnTableDomainLabel.Form aForm)` Adds a domain for use with a `send` method.
    `void` | `addExtension(EPPCodecComponent aExtension)` Adds a command extension object.
    `void` | `addTable(java.lang.String aTable)` Adds a table identifier for use with a `send` method.
    `java.util.Vector` | `getExtensions()` Gets the command extensions.
    `EPPResponse` | `getResponse()` Gets the response associated with the last command.
    `protected void` | `resetIdnTable()` Resets the IDN Table instance to its initial state.
    `EPPIdnTableCheckResp` | `sendDomainCheck()` Sends an IDN Table Check Command in Domain Check Form to the server. There required attributes that must be set prior to executing `sendDomainCheck()` include: `addDomain` - Sets the domains to check.
    `EPPIdnTableInfoResp` | `sendDomainInfo()` Sends an IDN Table Info Command in Domain Info Form to the server. There required attributes that must be set prior to executing `sendDomainInfo()` include: `addDomain` - Sets the domain name to get IDN Table info for.
    `EPPIdnTableInfoResp` | `sendListInfo()` Sends an IDN Table Info Command in List Info Form to the server. There are no required attributes that must be set prior to executing `sendListInfo()`. The optional attributes can be set with the following: `setTransId` - Sets the client transaction identifier.
    `EPPIdnTableCheckResp` | `sendTableCheck()` Sends an IDN Table Check Command in Table Check Form to the server. There required attributes that must be set prior to executing `sendTableCheck()` include: `addTable` - Sets the table identifiers to check.
    `EPPIdnTableInfoResp` | `sendTableInfo()` Sends an IDN Table Info Command in Table Info Form to the server. There required attributes that must be set prior to executing `sendTableInfo()` include: `addTable` - Sets the table identifier to get info for.
    `void` | `setExtensions(java.util.Vector aExtensions)` Sets the command extension objects.
    `void` | `setTransId(java.lang.String aTransId)` Sets the client transaction identifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPIdnTable

          public EPPIdnTable(EPPSession aSession)

      Constructs an `EPPIdnTable` given an initialized EPP session.
      Parameters:
        `aSession` - Server session to use.

  - ### Method Detail

    - #### addExtension

          public void addExtension(EPPCodecComponent aExtension)

      Adds a command extension object.
      Parameters:
        `aExtension` - command extension object associated with the command

    - #### setExtensions

          public void setExtensions(java.util.Vector aExtensions)

      Sets the command extension objects.
      Parameters:
        `aExtensions` - command extension objects associated with the command

    - #### getExtensions

          public java.util.Vector getExtensions()

      Gets the command extensions.
      Returns:
        `Vector` of concrete `EPPCodecComponent` associated with the command if exists; `null` otherwise.

    - #### setTransId

          public void setTransId(java.lang.String aTransId)

      Sets the client transaction identifier.
      Parameters:
        `aTransId` - Client transaction identifier

    - #### addDomain

          public void addDomain(java.lang.String aDomain,
                                EPPIdnTableDomainLabel.Form aForm)

      Adds a domain for use with a `send` method. Adding more than one domain is only supported by `sendCheck`.
      Parameters:
        `aDomain` - Domain name to add
        `aForm` - The form of the domain name, which is `EPPIdnTableDomainLabel.A_LABEL` for an A-label and // * `EPPIdnTableDomainLabel.U_LABEL` for a U-label.

    - #### addTable

          public void addTable(java.lang.String aTable)

      Adds a table identifier for use with a `send` method. Adding more than one table is only supported by `sendCheck`.
      Parameters:
        `aTable` - Table identifier to add.

    - #### sendDomainCheck

          public EPPIdnTableCheckResp sendDomainCheck()
                                               throws EPPCommandException

      Sends an IDN Table Check Command in Domain Check Form to the server.
      There required attributes that must be set prior to executing `sendDomainCheck()` include:
      - `addDomain` - Sets the domains to check. At least one domain must be set.
      The optional attributes can be set with the following:
      - `setTransId` - Sets the client transaction identifier.
      Returns:
        `EPPIdnTableCheckResp` with form set to `EPPIdnTableCheckResp.Form.DOMAIN_FORM`.
      Throws:
        `EPPCommandException` - On error

    - #### sendTableCheck

          public EPPIdnTableCheckResp sendTableCheck()
                                              throws EPPCommandException

      Sends an IDN Table Check Command in Table Check Form to the server.
      There required attributes that must be set prior to executing `sendTableCheck()` include:
      - `addTable` - Sets the table identifiers to check. At least one table must be set.
      The optional attributes can be set with the following:
      - `setTransId` - Sets the client transaction identifier.
      Returns:
        `EPPIdnTableCheckResp` with form set to `EPPIdnTableCheckResp.Form.TABLE_FORM`.
      Throws:
        `EPPCommandException` - On error

    - #### sendDomainInfo

          public EPPIdnTableInfoResp sendDomainInfo()
                                             throws EPPCommandException

      Sends an IDN Table Info Command in Domain Info Form to the server.
      There required attributes that must be set prior to executing `sendDomainInfo()` include:
      - `addDomain` - Sets the domain name to get IDN Table info for. Only one domain is valid.
      The optional attributes can be set with the following:
      - `setTransId` - Sets the client transaction identifier.
      Returns:
        `EPPIdnTableInfoResp` with form set to `EPPIdnTableInfoResp.Form.DOMAIN_FORM`.
      Throws:
        `EPPCommandException` - On error

    - #### sendTableInfo

          public EPPIdnTableInfoResp sendTableInfo()
                                            throws EPPCommandException

      Sends an IDN Table Info Command in Table Info Form to the server.
      There required attributes that must be set prior to executing `sendTableInfo()` include:
      - `addTable` - Sets the table identifier to get info for. Only one table is valid.
      The optional attributes can be set with the following:
      - `setTransId` - Sets the client transaction identifier.
      Returns:
        `EPPIdnTableInfoResp` with form set to `EPPIdnTableInfoResp.Form.TABLE_FORM`.
      Throws:
        `EPPCommandException` - On error

    - #### sendListInfo

          public EPPIdnTableInfoResp sendListInfo()
                                           throws EPPCommandException

      Sends an IDN Table Info Command in List Info Form to the server.
      There are no required attributes that must be set prior to executing `sendListInfo()`.
      The optional attributes can be set with the following:
      - `setTransId` - Sets the client transaction identifier.
      Returns:
        `EPPIdnTableInfoResp` with form set to `EPPIdnTableInfoResp.Form.LIST_FORM`.
      Throws:
        `EPPCommandException` - On error

    - #### resetIdnTable

          protected void resetIdnTable()

      Resets the IDN Table instance to its initial state.

    - #### getResponse

          public EPPResponse getResponse()

      Gets the response associated with the last command. This method can be used to retrieve the server error response in the catch block of EPPCommandException.
      Returns:
        Response associated with the last command